local LockSrv = lgs.LockSrv
local doorsrv = lgs.DoorSrv
local propsrv = lgs.PropertySrv

function FrobWorldEnd(msg)
	if propsrv.Possessed(script.objid,"RotDoor") then
		propsrv.Set(script.objid, "RotDoor", "Status", 4)
	end
	if propsrv.Possessed(script.objid,"TransDoor") then
		propsrv.Set(script.objid, "TransDoor", "Status", 4)
	end
	return true
end

function FrobWorldBegin(msg)
	doorsrv.ToggleDoor(script.objid)	
	return true
end